Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#25485 - [linux] Wifi BCM4313 card won't come up with new kernel

Attached to Project: Community Packages
Opened by Rafael Fontenelle (josephg) - Wednesday, 10 August 2011, 04:53 GMT
Last edited by Jelle van der Waa (jelly) - Wednesday, 10 August 2011, 11:17 GMT
Task Type Bug Report
Category Upstream Bugs
Status Closed
Assigned To Tobias Powalowski (tpowa)
Thomas B├Ąchler (brain0)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
In my Asus 1015pn, the wireless card (bcm 4313) works perfectly with kernel 2.6.39, but in latest kernel it will be "blocked".

Additional info:
* package version(s)
linux-3.0.1-1

* config and/or log files etc.
These are the most relevant message, afaict:

brcmutil: module is from the staging directory, the quality is unknown, you have been warned.
brcmsmac: module is from the staging directory, the quality is unknown, you have been warned.
eeepc_laptop: BIOS says wireless lan is blocked, but the pci device is present
eeepc_laptop: skipped wireless hotplug as probably inappropriate for this model

Steps to reproduce:
1- install linux package
2- reboot
This task depends upon

Closed by  Jelle van der Waa (jelly)
Wednesday, 10 August 2011, 11:17 GMT
Reason for closing:  Not a bug
Comment by Jelle van der Waa (jelly) - Wednesday, 10 August 2011, 09:40 GMT
I heard from #archlinux, that you need to blacklist bcma in /etc/modprobe.d/modprobe.conf
Comment by Rafael Fontenelle (josephg) - Wednesday, 10 August 2011, 10:32 GMT
Great. This indeed solved the problem. Thanks!

Loading...